package com.simuwang.base.ano;

import java.lang.annotation.*;

/**
 * @author William
 * @version 2
 */
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Excel {
	/** Excel列名，多个值表示同义词 */
	public String[] value() default {};

	/** 使用外部配置, 等同于 String[] value()*/
	public String values() default "";

	/**支持null，整型，浮点型，带%的数值，默认非数值false */
	public boolean numerical() default false;

	/**是否为百分数 */
	public boolean percent() default false;

	/** 容许为null，默认为true */
	public boolean nullable() default true;

	/** 容许列表中间有空白符，默认为true */
	public boolean blankAllowable() default true;

}
